ISNORMAL(3) | Library Functions Manual | ISNORMAL(3)

# NAME

`isnormal` —
test for normal value

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <math.h>`

int
`isnormal`(real-floating x);

# DESCRIPTION

The `isnormal`() macro determines whether its argument x has a normal value. An argument represented in a format wider than its semantic type is converted to its semantic type first. The determination is then based on the type of the argument.

## IEEE 754

It is determined whether the value of x is normal, and neither zero, subnormal, infinite nor NaN.

## VAX

It is determined whether the value of x is finite, and neither true zero, dirty zero nor ROP.

# RETURN VALUES

The `isnormal`() macro returns a non-zero value if the value of x is finite. Otherwise 0 is returned.

# ERRORS

No errors are defined.

# SEE ALSO

fpclassify(3), isfinite(3), math(3), signbit(3)

# STANDARDS

The `isnormal`() macro conforms to ISO/IEC 9899:1999 (“ISO C99”).

October 29, 2003 | NetBSD 9.2